#ifndef MVIEWADCSPECTRA_H
#define MVIEWADCSPECTRA_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MHFadcCam;

class MViewAdcSpectra
{
private:
    MHFadcCam *fHistosAdc;

public:

     MViewAdcSpectra();
     virtual ~MViewAdcSpectra();
  
     Bool_t AdcSpectra(Char_t *inputFile, Char_t *treeName);

     //  Bool_t CrAdcSpectra ( Char_t *inputFile ) ;
     //  Bool_t PedTdcSpectra( Char_t *inputFile ) ;
     //  Bool_t CrTdcSpectra ( Char_t *inputFile ) ;

     ClassDef(MViewAdcSpectra, 0) // Part of the gui, displays Adc Spectras
};

#endif 
